VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus Class Reference

`User.UserPasswordStatus` enumerated type Defines state of user password More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, notset, expired, valid }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static UserPasswordStatus[] | GetValues ()
static UserPasswordStatus | ValueOf (string name)
## Static Public Attributes
static readonly UserPasswordStatus | notset = new UserPasswordStatus("notset", Values.notset)
| No password has been set.
static readonly UserPasswordStatus | expired = new UserPasswordStatus("expired", Values.expired)
| The password has expired.
static readonly UserPasswordStatus | valid = new UserPasswordStatus("valid", Values.valid)
| The password is still valid.

## Detailed Description

`User.UserPasswordStatus` enumerated type Defines state of user password

## Member Enumeration Documentation

enum vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  notset | No password has been set.
  expired | The password has expired.
  valid | The password is still valid.

## Member Function Documentation

Values vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::GetEnumValue | ( |  | ) | `[inline]`

static UserPasswordStatus [] vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::IsUnknown | ( |  | ) | `[inline]`

static UserPasswordStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly UserPasswordStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::expired = new UserPasswordStatus("expired", Values.expired)`[static]`

The password has expired.

readonly UserPasswordStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::notset = new UserPasswordStatus("notset", Values.notset)`[static]`

No password has been set.

readonly UserPasswordStatus vmware::appliance::techpreview::localaccounts::UserTypes::UserPasswordStatus::valid = new UserPasswordStatus("valid", Values.valid)`[static]`

The password is still valid.

The documentation for this class was generated from the following file:

- UserTypes.cs